#include "pthread.h"
#include "stdio.h"
#include "thread1.h"
#include "thread2.h"


int main(int argc, char * argv[])
{
  pthread_t t1, t2;

  if (argc == 2) {
      if( atoi(argv[1]) == 1) {
          pthread_create(&t1, NULL, task1, NULL);
          pthread_join(t1,NULL);
      } else if (atoi(argv[1]) == 2) {
          pthread_create(&t2, NULL, task2, NULL);
          pthread_join(t2,NULL);
      } else {
          printf("Invalid parameter %s\n",argv[1]);
          return(-1);
      }
  } else if (argc == 1) {
      pthread_create(&t1, NULL, task1, NULL);
      pthread_create(&t2, NULL, task2, NULL);
      pthread_join(t1,NULL);
      pthread_join(t2,NULL);
  } else {
      printf("Invalid parameter number\n",argc);
      return(-2);
  }
  return(0);
}

